package com.dragon.tj.portal.common.enums.message;

import com.dragon.tj.portal.common.constants.BusinessConstants;

/**
 * @author huey China.
 * @Description : 1部门 2 人员
 * @Date Created in 2023/6/15 15:40
 */
public enum ScopeEnums {

    SCOPE_DEPT(1, "部门"),
    SCOPE_MEMBER(2, "人员"),

    SCOPE_APP(3, "应用");

    private final Integer value;
    private final String name;

    ScopeEnums(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer value() {
        return this.value;
    }

    public static ScopeEnums ofMessageType(Integer messageType) {
        if (messageType.equals(BusinessConstants.DICT_ITEM_ID_2)) {
            return SCOPE_DEPT;
        } else if (messageType.equals(BusinessConstants.DICT_ITEM_ID_1)
                || messageType.equals(BusinessConstants.DICT_ITEM_ID_3)) {
            return SCOPE_MEMBER;
        } else {
            return SCOPE_APP;
        }
    }
}
