package com.dragon.tj.portal.component.message;

import cn.hutool.core.collection.CollUtil;
import com.dragon.tj.portal.service.AppInfoService;
import org.apache.kafka.clients.admin.NewTopic;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.kafka.config.TopicBuilder;
import org.springframework.kafka.core.KafkaAdmin;

import java.util.List;

/**
 * @author huey China.
 * @Description : kafka自定义配置
 * @Date Created in 2023/6/15 15:42
 */
@Configuration
public class KafkaInitialConfiguration {

    /**
     * 信息管理
     */
    public static final String sseTopic = "sseTopic";

    /**
     * @author huey China.
     * @Description : 注入信息及不同系统级别的topic
     * @Date Created in 2023/7/11 16:03
     */
    @Bean
    public KafkaAdmin.NewTopics messageTopics() {
//        List<String> allAppSysCodes = appInfoService.getAllAppSysCodes();
        NewTopic base = TopicBuilder.name(sseTopic).partitions(1).replicas(1).build();

        NewTopic[] newTopics = null;

//        if (CollUtil.isNotEmpty(allAppSysCodes)) {
//            newTopics = new NewTopic[allAppSysCodes.size() + 1];
//            for (int i = 0; i < allAppSysCodes.size(); i++) {
//                String sysCode = allAppSysCodes.get(i);
//                newTopics[i] = TopicBuilder.name(sseTopic + "-" + sysCode).partitions(1).replicas(1).build();
//            }
//            newTopics[allAppSysCodes.size()] = base;
//        } else {
//            newTopics = new NewTopic[]{base};
//        }
        newTopics = new NewTopic[]{base};
        //信息相关
        KafkaAdmin.NewTopics infoBase = new KafkaAdmin.NewTopics(newTopics);
        return infoBase;
    }

}
