package com.dragon.tj.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 信息范围表
 * </p>
 *
 * @author huey
 * @since 2023-06-15
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("message_info_scope")
public class MessageInfoScope implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 信息id
     */
    private Long messageInfoId;

    /**
     * 阅读状态 默认0未读 1已读
     */
    private Integer readStatus;

    /**
     * 人员id
     */
    private String memberId;

    /**
     * 范围类型 1部门 2 人员
     */
    private Integer scopeType;

    /**
     * 部门id
     */
    private String scopeId;

    /**
     * 范围级别
     */
    private Integer scopeLevel;


}
